<?php
/*
 * CHeMS (Content HElper Management System)
 * Copyright (C) 2007-2008  Claudio M. Alessi
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
*/

/*
 * Free hands module
*/

/*
 * The CHeMS module get function
*/
function freehands_main()
{
   global $module;
   require(FILE_MODCONF);

   // Generate the instance postfix
   if( $module->instance )
      $instpfx = "_".strtoupper($module->instance);

   // Get the instance suffix, title and body
   $fh_title = @constant("MOD_FREEHANDS_TITLE".$instpfx);
   $fh_body = @constant("MOD_FREEHANDS_BODY".$instpfx);

   // Write the informations
   $text = "
      <div id='mod_freehands$instpfx' class='chems_module'>
         <div class='chems_module_title'>$fh_title</div>
         <div class='chems_module_body'>$fh_body</div>
      </div>
   ";

   return $text;
} /* eof freehands_main() */

?>
